Known issues

If your issue is not listed below, please contact us at simplifier@fire.ly or (for customers) our premium support desk.

Updated for version 24.3

Status Category Description
Open Packages
On package creation duplicate files can
be introduced. For now: Make sure your
project does not use the same filename
(without the extension) twice. We
are working to warn you about this in the
proces.
Open Validation
Package hl7.fhir.r3.core
version 3.0.2 contains a profile on
SimpleQuantity, that is being sliced on
the root level. This is invalid and causes
an error during validation of all
resources that make use of that profile.
The next technical release of that
package should have a fix for that, and the
validation engine of Simplifier will
suppress this error in an upcoming version.
Workaround in place Validation
Validation against FHIR version 3.0.2
gives eld-16 warning 2009 and error 1012.
This is due to an error in FHIR. The errors
should not prevent the rest of the
validation of the resource. The
underlying issue has been acknowledged
and should be resolved in a possible FHIR version
3.0.3. Simplifier will silence these
errors and warnings for you.

All our tooling is built on top of the official Firely .NET SDK developed and managed by Firely. The SDK is open source and maintained on Github and issues are publicly tracked there.

HL7 is maintaining a known issue list for the FHIR specifications on their Confluence.